
/*! ============================================================================= */

/*! Sharing VC widget. */

/*! ============================================================================= */
.vc-sharing-buttons {
	display: flex;
	line-height: 1;
	font-size: 0;
}

.vc-sharing-buttons--title-separate-line {
	flex-direction: column;
}

.vc-sharing-buttons--title-separate-line .vc-sharing-buttons__title {
	padding-bottom: 15px;
}

.vc-sharing-buttons--title-same-line {
	flex-direction: row;
}

.vc-sharing-buttons--title-same-line .vc-sharing-buttons__title {
	padding-right: 25px;
}

.vc-sharing-buttons--align-center {
	justify-content: center;
	align-items: center;
}

.vc-sharing-buttons--align-left {
	justify-content: flex-start;
	align-items: flex-start;
}

.vc-sharing-buttons--align-right {
	justify-content: flex-end;
	align-items: flex-end;
}

.vc-sharing-buttons--align-inherit {
	justify-content: inherit;
	align-items: inherit;
}

@media (max-width: 767.98px) {
	.vc-sharing-buttons--title-separate-line, .vc-sharing-buttons--title-same-line, .vc-sharing-buttons--align-center, .vc-sharing-buttons--align-left, .vc-sharing-buttons--align-inherit, .vc-sharing-buttons--align-right {
		flex-direction: column;
		justify-content: center;
		align-items: center;
	}
	
	.vc-sharing-buttons--title-separate-line .vc-sharing-buttons__title, .vc-sharing-buttons--title-same-line .vc-sharing-buttons__title, .vc-sharing-buttons--align-center .vc-sharing-buttons__title, .vc-sharing-buttons--align-left .vc-sharing-buttons__title, .vc-sharing-buttons--align-inherit .vc-sharing-buttons__title, .vc-sharing-buttons--align-right .vc-sharing-buttons__title {
		padding: 0 0 10px;
	}
}

.vc-sharing-buttons__title {
	font-size: 16px;
	color: #4a4a4a;
}

.vc-sharing-buttons__markup {
	margin: -5px -10px;
	font-size: 0;
}

.vc-sharing-buttons__markup a {
	display: inline-block;
	padding: 5px 10px;
	font-size: 16px;
	color: #000;
	opacity: .5;
}

.vc-sharing-buttons__markup a:hover {
	opacity: 1;
}

.vc-sharing-buttons__markup a i:before {
	width: auto;
}
